summaryrefslogtreecommitdiffstats
path: root/karm/test/version.sh
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commit460c52653ab0dcca6f19a4f492ed2c5e4e963ab0 (patch)
tree67208f7c145782a7e90b123b982ca78d88cc2c87 /karm/test/version.sh
downloadtdepim-460c52653ab0dcca6f19a4f492ed2c5e4e963ab0.tar.gz
tdepim-460c52653ab0dcca6f19a4f492ed2c5e4e963ab0.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdepim@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'karm/test/version.sh')
-rwxr-xr-xkarm/test/version.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/karm/test/version.sh b/karm/test/version.sh
new file mode 100755
index 00000000..64fbc8fb
--- /dev/null
+++ b/karm/test/version.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# First test, just check version.
+
+exec >>check.log 2>&1
+
+TESTFILE="/tmp/testkarm1.ics"
+VERSION="1.6.0"
+
+source __lib.sh
+
+set_up
+
+RVAL=`dcop $DCOPID KarmDCOPIface version 2>/dev/null`
+
+tear_down
+
+if [ "$RVAL" == "$VERSION" ]; then
+ echo "PASS $0"
+ exit 0;
+else
+ echo "FAIL $0: got /$RVAL/, expected /$VERSION/"
+ exit 1;
+fi